package cn.com.qmth.stmms.common.enums;

public enum LockType {
    EXAM_SUBJECT("exam_subject"), GROUP("group"), GROUP_DELETE("group_delete"), STUDENT("student"), MARKER("marker"), MARKER_RESET(
            "marker_reset"), USER("user"), FORMAL_LIBRARY("formal_library"), TRIAL_LIBRARY("trial_library"), ARBITRATE(
            "arbitrate"), BATCH_QUALITY("batch_quality"), SCORE_CALCULATE("score_calculate"), GROUP_LIBRARY(
            "group_library"), DATA_SYNC("data_sync"), SCHOOL("school"), QUESTION_DELETE("question_delete");

    private String name;

    private LockType(String name) {
        this.name = name;
    }

    public String getName() {
        return name;
    }

}
